body {
  /* background-color: rgb(224, 224, 224); */
/*   font-size: clamp(12px, 1vw + 10px, 16px); */
  background-color: #eee;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  font-size: 20px;
}

.page {
    max-width: 32em;
/*   background-color: #eee; */
}

.logo-search {
  display: flex;
  gap: 0.5em;
/*   flex-direction: column; */
}


.site-logo {
  /* background-image: url(img/b.jpg); */
  color: #111;
/*   height: 1.3em; */
/*   margin-top: 5%;
  margin-bottom: 5%;
  margin-left: 1%;
  margin-right: 1%; */
  font-size: 1.5em;
/*   display: flex; */
/*   justify-content: center; */
  font-family: 'Times New Roman', serif;
  font-variant: small-caps;
  font-weight: bold;
  text-decoration: none;
/*   max-width: 6em; */
/*   border-radius: 0.25em; */
}

.site-logo:active,
.site-logo:visited {
  text-decoration: none;
}


.search-form {
  flex: 1 0 20em;
  min-width: 20em;
  display: flex;
  padding: 1rem 0;
}


.search-form input {
  font-family: 'arial', 'Courier New', monospace;
  flex-grow: 1;
  padding: 0.5rem 1rem;
  border-radius: 1rem 0 0 1rem;
  border: 1px solid #333;
  font-size: 1rem;
  background-color: #ddd;
  color: #111;
  outline: none;
}

.search-form button {
  padding: 0.6rem 1rem;
  border-radius: 0 1rem 1rem 0;
  border: 1px solid #333;
  background-color: #333;
  color: #fff;
  cursor: pointer;
}

.search-spinner {
  display: none;
  border: 0.5em solid rgba(0, 0, 0, 0.1);
  /* transform: translateY(-50%); */
  width: 0.5em;
  height: 0.5em;
  border-radius: 50%;
  border-top-color: rgb(70, 130, 180);
  animation: spin 1s ease-in-out infinite;
}

@keyframes spin {
  to {
    transform: rotate(360deg);/* translateY(-50%) rotate(360deg); */
  }
}
  
.search-results {
  margin-top: 1em;
  margin-bottom: 1em;
  font-family: 'arial', 'Courier New', monospace;
  font-size: 1rem;
  display: flex;
  flex-direction: column;
  min-height: 11em;
}

.search-results div {
  margin-top: 1em;
  background: #eee;
  transition: all 1s ease-in-out;
}

.search-results div :hover {
  color: #111;
/*   font-weight: bold; */
/*   background: #ffb958; */
  background: #ddd;
}

.how-it-works td {
  padding: 0.5rem 0.5rem;
}

.how-it-works th, .how-it-works td{
  vertical-align: top;
}


.footer {
  margin-top: 1em;
  border-radius: 0.5em;
  color: #333;
  font-size: 1rem;
  font-family: 'arial', sans-serif;
}

.footer a {
  color: #333;
  text-decoration: none;
}

#map {
  margin-top: 1em;
  height: 20rem;
  min-width: 460px;
/*   height: 400px; */
/*   width: 400px; */
}

.process {
/*   min-width: 30rem; */
  margin-top: 1em;
  margin-bottom: 1em;
  font-family: 'arial', 'Courier New', monospace;
  font-size: 1rem;
  border-collapse: separate;
  border-spacing: 0 1em;
  border-radius: 0.5em;
  min-height: 11em;
}

.process div {
  margin-top: 1em;
  margin-bottom: 1em;
}

.error {
  font-size: 1.2em;
  font-weight: bold;
  color: red;
}

.address {
  font-size: 1.2em;
  font-weight: bold;
  color: #4682b4;
}

.process-spinner {
  display: none;
  border: 0.5em solid rgba(0, 0, 0, 0.1);
  /* transform: translateY(-50%); */
  width: 0.5em;
  height: 0.5em;
  border-radius: 50%;
  border-top-color: rgb(70, 130, 180);
  animation: spin 1s ease-in-out infinite;
}

.process-email form {
  display: none;
  flex-direction: column;
/*   justify-content: center; */
}

.process-email form input {
  font-family: 'arial', 'Courier New', monospace;
  padding: 0.5rem 1rem;
  border-radius: 1rem 1rem 1rem 1rem;
  border: 1px solid #333;
  font-size: 1rem;
  margin-top: 0.5em;
}

.process-email form button {
  font-size: 1rem;
  font-family: 'arial', 'Courier New', monospace;
  margin-top: 0.5em;
  padding: 0.6rem 1rem;
  border-radius: 1rem 1rem 1rem 1rem;
  border: 1px solid #333;
}
